Download it now!
Bug 125079 - Template manager: weird behaviour resizing it
Summary: Template manager: weird behaviour resizing it
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Template-Manager
  Show dependency treegraph
 
Reported: 2019-05-02 11:23 UTC by Xisco Faulí
Modified: 2019-05-08 11:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-05-02 11:23:40 UTC
Steps to reproduce:
1. Open Impress
2. Resize the template dialog using the right bottom corner

-> The dialog get resized in all directions

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: f420aa3e027e04e49b7031ebf0613debcaab2ea0
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-05-02 11:24:40 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d17d9500a23705a315992ff42cb7c449894fc2ce

author	Caolán McNamara <caolanm@redhat.com>	2019-04-16 14:49:46 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-04-17 11:24:11 +0200
commit	d17d9500a23705a315992ff42cb7c449894fc2ce (patch)
tree	c4a64dbde5fb03c3e0d4031fdb2c4645ce57a0d4
parent	6e204253d4cf3be0b9ad136e922ec4fbb2523fe6 (diff)
tdf#124597 template select dialog launched before parent gets final size

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2019-05-03 11:32:14 UTC
for me, with out-of-the-box default settings gnome, that's how that dialog always worked when resized back in 6-2 and 6-1 too. With the attach modal dialog setting on (the default) both 6.2 and 6.3 grow equally on all sizes. With the attach modal dialog setting off, both 6.2 and 6.3 for me only grow on the stretched size.

I can well imagine that the patch changed the behaviour for some configuration, maybe an idle timer to unset the force-centering when the underlying window has probably eventually come to its final setting would help. I'll try a blind attempt at that
Comment 3 Commit Notification 2019-05-07 07:55:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5e8d51ca7b597eeaf9f8cfbb1c97e8ab51b030a8%5E%21

tdf#125079 turn off GTK_WIN_POS_CENTER_ON_PARENT after a while

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-05-08 11:07:41 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 299e34275574d4fa0d9b175231f5cfdbb49c4f4c
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!